%define	api		1.0
%define	major		0
%define	libname		%mklibname goa %{api} %{major}
%define backendmajor	1
%define libbackend	%mklibname goa-backend %{api} %{backendmajor}
%define	gi_libname	%mklibname goa-gir %{api}
%define	develname	%mklibname -d goa

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		gnome-online-accounts
Version:	3.10.2
Release:	%mkrel 2
Summary:	Provide online accounts information
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		http://developer.gnome.org/goa/stable/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(cheese-gtk)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gcr-3)
BuildRequires: pkgconfig(gio-2.0) >= 2.33.3
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.35
BuildRequires: pkgconfig(glib-2.0) >= 2.33.3
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.5.1
BuildRequires: pkgconfig(gudev-1.0)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libaccounts-glib)
BuildRequires: pkgconfig(libsecret-1) >= 0.5
BuildRequires: pkgconfig(libsoup-2.4) >= 2.41
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(rest-0.7)
BuildRequires: pkgconfig(telepathy-glib) >= 0.19.9
BuildRequires: pkgconfig(webkitgtk-3.0)
BuildRequires: pkgconfig(x11)
BuildRequires: krb5-devel
BuildRequires:	gobject-introspection-devel >= 0.6.2
BuildRequires:	gtk-doc
BuildRequires:	intltool

%description
gnome-online-accounts provides interfaces so applications and 
libraries in GNOME can access the user's online accounts.

%package -n %{libname}
Summary:	Runtime libraries for %{name}
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
Runtime libraries for %{name}.

%package -n %{libbackend}
Summary:        Runtime libraries for %{name}
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n %{libbackend}
Runtime libraries for %{name}.

%package -n %{gi_libname}
Summary:	GObject introspection interface for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_libname}
GObject introspection interface for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libbackend} = %{version}-%{release}
Obsoletes:	%{_lib}goa1.0-devel < 3.9.90

%description -n %{develname}
The gnome-online-accounts-devel package contains libraries and header
files for developing applications that use gnome-online-accounts.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-gtk-doc \
	--enable-exchange \
	--enable-facebook \
	--enable-flickr \
	--enable-google \
	--enable-imap-smtp \
	--enable-kerberos \
	--enable-owncloud \
	--enable-windows-live \
	--enable-yahoo
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc NEWS
%{_libexecdir}/goa-daemon
%{_datadir}/gnome-online-accounts
%{_datadir}/dbus-1/services/org.gnome.OnlineAccounts.service
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man8/goa-daemon.8.*
%dir %{_libdir}/goa-%{api}

%files -n %{libname}
%{_libdir}/libgoa-%{api}.so.%{major}
%{_libdir}/libgoa-%{api}.so.%{major}.*

%files -n %{libbackend}
%{_libdir}/libgoa-backend-%{api}.so.%{backendmajor}
%{_libdir}/libgoa-backend-%{api}.so.%{backendmajor}.*

%files -n %{gi_libname}
%{_libdir}/girepository-1.0/Goa-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/goa/
%{_includedir}/goa-%{api}/
%{_libdir}/goa-%{api}/include
%{_libdir}/libgoa-%{api}.so
%{_libdir}/libgoa-backend-%{api}.so
%{_datadir}/gir-1.0/Goa-%{api}.gir
%{_libdir}/pkgconfig/goa-%{api}.pc
%{_libdir}/pkgconfig/goa-backend-%{api}.pc


%changelog
* Sat Jan 18 2014 gw666 <gw666> 3.10.2-2.mga4
+ Revision: 566860
- disable twitter to prevent crashes (bgo #721061)

* Tue Nov 12 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550846
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 545019
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 500642
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485444
- new version 3.10.0

* Wed Sep 18 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 481168
- new version 3.9.92

* Tue Sep 03 2013 fwang <fwang> 3.9.91-1.mga4
+ Revision: 474580
- update file list

  + ovitters <ovitters>
    - new version 3.9.91

* Fri Aug 23 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 469938
- simplify package name by dropping api from devel packages
- update file list
- split out backend lib
- add more br
- only glib is required
- add more br

  + ovitters <ovitters>
    - new version 3.9.90

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461127
- new version 3.9.5

* Tue Jul 30 2013 fwang <fwang> 3.9.4-2.mga4
+ Revision: 461115
- move include file into its original location, as the movements affect downstream applications

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458234
- new version 3.9.4
- update BR (krb5-devel and (gcr-3)
- enable exchange, facebook, flickr, google, imap-smtp, kerberos, owncloud, windows-live, twitter, yahoo

* Sat May 25 2013 ovitters <ovitters> 3.8.2-2.mga4
+ Revision: 427621
- fix file location

* Sat May 25 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 427574
- fix upstream file location
- drop merged patch
- new version 3.8.2

* Mon Mar 04 2013 wally <wally> 3.6.3-1.mga3
+ Revision: 401406
- new version 3.6.3
  * fixes CVE-2013-0240
  * fixes CVE-2013-1799
- add str fmt patch

* Fri Feb 15 2013 luigiwalser <luigiwalser> 3.6.2-5.mga3
+ Revision: 398602
- add upstream patch to fix CVE-2013-0240

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-4.mga3
+ Revision: 352180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 colin <colin> 3.6.2-3.mga3
+ Revision: 329403
- Remove weird tab copy+paste error

* Mon Dec 10 2012 ovitters <ovitters> 3.6.2-2.mga3
+ Revision: 329371
- make lib require main package (mga#5756)

* Thu Nov 15 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317996
- new version 3.6.2

* Fri Oct 19 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 308104
- update file list

  + ovitters <ovitters>
    - new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297013
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295587
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288022
- new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282778
- new version 3.5.90

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279720
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271362
- br libsecret-1
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 265992
- drop link patch
- new version 3.5.3

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235673
- new version 3.4.2

* Tue Apr 17 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231205
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226735
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92.1-1.mga2
+ Revision: 225191
- new version 3.3.92.1
- new version 3.3.92

* Mon Dec 19 2011 wally <wally> 3.3.0-1.mga2
+ Revision: 184532
- new version 3.3.0

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155935
- new version 3.2.1

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0.1-3.mga2
+ Revision: 149891
- new version 3.2.0.1
- drop launch goa prefs patch (merged upstream)

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0-3.mga2
+ Revision: 149744
- add upstream patch to fix a crasher

* Tue Sep 27 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 149075
- rebuild for new glib

* Mon Sep 26 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149020
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 145886
- new version 3.1.91

* Tue Aug 30 2011 dmorgan <dmorgan> 3.1.90-1.mga2
+ Revision: 136790
- Fix sha1.lst file

  + ovitters <ovitters>
    - Update to 3.1.90

  + ahmad <ahmad>
    - Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Thu Jul 14 2011 cjw <cjw> 3.1.1-2.mga2
+ Revision: 124256
- fix group

* Tue Jul 05 2011 cjw <cjw> 3.1.1-1.mga2
+ Revision: 118968
- imported package gnome-online-accounts


* Tue Jun 14 2011 Bastien Nocera <bnocera@redhat.com> 3.1.0-3
- Add more necessary patches

* Tue Jun 14 2011 Bastien Nocera <bnocera@redhat.com> 3.1.0-2
- Update with review comments from Peter Robinson

* Mon Jun 13 2011 Bastien Nocera <bnocera@redhat.com> 3.1.0-1
- First version

